if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

( cd usr/lib ; rm -rf libgpilotdcm.so.2 )
( cd usr/lib ; ln -sf libgpilotdcm.so.2.1.0 libgpilotdcm.so.2 )
( cd usr/lib ; rm -rf libgpilotd.so )
( cd usr/lib ; ln -sf libgpilotd.so.2.2.0 libgpilotd.so )
( cd usr/lib ; rm -rf libgpilotdconduit.so.2 )
( cd usr/lib ; ln -sf libgpilotdconduit.so.2.0.4 libgpilotdconduit.so.2 )
( cd usr/lib ; rm -rf libgpilotd.so.2 )
( cd usr/lib ; ln -sf libgpilotd.so.2.2.0 libgpilotd.so.2 )
( cd usr/lib ; rm -rf libgpilotdconduit.so )
( cd usr/lib ; ln -sf libgpilotdconduit.so.2.0.4 libgpilotdconduit.so )
( cd usr/lib ; rm -rf libgpilotdcm.so )
( cd usr/lib ; ln -sf libgpilotdcm.so.2.1.0 libgpilotdcm.so )
